// @ts-check
const withNextIntl = require('next-intl/plugin')();
const path = require('path');

/** @type {import('next').NextConfig} */
const nextConfig = {
	compiler: {
		styledComponents: {
			ssr: true,
			displayName: true,
			namespace: 'bbuddy'
		}
	},
	sassOptions: {
		includePaths: [path.join(__dirname, 'styles')],
	},
	output: 'export',
	cleanDistDir: true,
	distDir: 'dist'
};

module.exports = withNextIntl(nextConfig);
